Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.complex
Interface ComplexFactory

    public interface ComplexFactory

A factory of complex geometric objects. All complexes created through this interface will use the factory's coordinate reference system. Creating complexes in a different CRS may requires a different instance of `ComplexFactory`.

Since:
  GeoAPI 2.1
Version:
  ISO 19107
TODO:
  Need to check if ISO 19107 defines constructors for complexes.

Method Summary
`CompositeCurve` | `createCompositeCurve(List<OrientableCurve> generator)` Creates a composite curve from a list of orientable curves.
`CompositePoint` | `createCompositePoint(Point generator)` Creates a composite point from a point.
`CompositeSurface` | `createCompositeSurface(List<OrientableSurface> generator)` Creates a composite surface from a list of orientable surfaces.

Method Detail

### createCompositePoint

    CompositePoint createCompositePoint(Point generator)

  Creates a composite point from a point. The constructed composite point is backed by the given point. That is, the composite point holds a reference to the point instance.

  Parameters:
    `generator` - a point.
  Returns:
    a composite point.

### createCompositeCurve

    CompositeCurve createCompositeCurve(List<OrientableCurve> generator)

  Creates a composite curve from a list of orientable curves. The constructed composite curve is backed by the given curves. That is, the composite curve holds references to the curve instances.

  Parameters:
    `generator` - a list of orientable curves.
  Returns:
    a composite curve.

### createCompositeSurface

    CompositeSurface createCompositeSurface(List<OrientableSurface> generator)

  Creates a composite surface from a list of orientable surfaces. The constructed composite surface is backed by the given surface. That is, the composite surface holds references to the surface instances.

  Parameters:
    `generator` - a list of orientable surface.
  Returns:
    a composite surface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.